# Romtal Sistem Dondurma

**Romtal Sistem Dondurma**, overlayroot tabanlı sistem dondurma işlemini yönetmek için geliştirilmiş, GTK destekli grafik arayüz sunan bir araçtır. Bu proje, özellikle sistemde istenmeyen kalıcı değişikliklerin önüne geçmek amacıyla tasarlanmıştır. Kurulum, .deb paketi aracılığıyla gerçekleştirilir ve sistem entegrasyonu bu yöntemle sağlanır.

---

## Özellikler

- **GTK Tabanlı GUI:** Modern ve kullanıcı dostu arayüz ile sistem dondurma işlemleri.
- **Overlayroot Entegrasyonu:** Sistemin kök dosya sistemini geçici hale getirerek yapılan değişikliklerin silinmesini sağlar.
- **Kurulum Sihirbazı:** İlk çalıştırmada, güvenlik açısından non‑root (önerilen: "ogrenci") kullanıcı oluşturulması önerilir.
- **Root Yetkilendirme:** pkexec ile gerekli sistem komutlarını güvenli bir şekilde çalıştırır.

---

## Gereksinimler

- Debian tabanlı Linux dağıtımları (Debian, Pardus, Ubuntu vb.)
- Root erişimi (pkexec kullanımı nedeniyle)
- GTK 3 kütüphanesi

---

## Kurulum

### Paket Kurulumu

1. **.deb Dosyasını İndirin:**

   [romtal-sistem-dondurma_1.0.0-pardus_all.deb](https://codeberg.org/shaanylmz/romtal-sistem-dondurma/src/branch/main/build/romtal-sistem-dondurma_1.0.0-pardus_all.deb)

2. **Paketi Yükleyin:**

   Terminali açın ve aşağıdaki komutu çalıştırın (dosya yolunu sisteminizdeki konuma göre düzenleyin):
   ```bash
   sudo dpkg -i /path/to/romtal-sistem-dondurma_1.0.0-pardus_all.deb
   ```

3. **Bağımlılık Hatalarını Giderin:**

   Eğer paket kurulumu sırasında eksik bağımlılık uyarısı alırsanız:
   ```bash
   sudo apt-get install -f
   ```

> **Not:** .deb paketi, gerekli konfigürasyon dosyalarını ve sistem entegrasyonunu otomatik olarak yapar. Binary dosya tek başına çalıştırıldığında istenen entegrasyon sağlanamaz, bu yüzden paket kurulumu tercih edilmelidir.

---

## Kullanım

1. **Programı Başlatın:**

   Paket kurulumu tamamlandıktan sonra, programı root yetkileriyle çalıştırmak için terminalden:
   ```bash
   sudo romtalsd
   ```

2. **Kurulum Sihirbazı:**

   - İlk çalıştırmada, henüz kurulum bayrağı oluşturulmamışsa (örneğin `~/.setup_tamam`), kurulum sihirbazı açılır.
   - Sihirbaz, sistemde güvenliği artırmak amacıyla non‑root kullanıcı (önerilen: "ogrenci") oluşturulmasını içerir.
   - İlgili adımları takip ederek veya sihirbazı atlayarak ana arayüze geçiş yapabilirsiniz.

3. **Ana Arayüz İşlevleri:**

   Ana GUI penceresinde sunulan seçenekler:
   
   - **Sistem Dondurma Aktif Et:** Overlayroot konfigürasyonunu ayarlayarak sistemi dondurur.  
     (Değişikliklerin geçerli olabilmesi için yeniden başlatma gerekebilir.)
   - **Sistem Dondurma Devre Dışı:** Overlayroot ayarlarını temizleyerek dondurma işlemini sonlandırır.  
     (Sistem yeniden başlatılmalıdır.)

4. **Geri Bildirim:**

   Her işlem, GTK diyalog pencereleri ile kullanıcıya bilgi veya hata mesajları sunar.

---

## Geliştirici ve Destek

**Geliştiriciler:**

- **R.O.M.T.A.L**  
  [https://rasimoneltml.meb.k12.tr/](https://rasimoneltml.meb.k12.tr/)
- **Şahan Yılmaz**  
  (sahan@chrona.org.tr)

*Bu bir okul projesidir.*

---

## Katkıda Bulunma

Proje ile ilgili katkı ve geri bildirimler için:

- **Issue Açın:** Proje sayfasındaki issue bölümünü kullanarak hata raporu veya önerilerinizi paylaşın.
- **Pull Request Gönderin:** Geliştirme yapıyorsanız, forkladığınız projede yaptığınız değişiklikleri pull request olarak gönderin.

---

## Lisans

Bu proje, **GNU GENERAL PUBLIC LICENSE Version 3** kapsamında lisanslanmıştır. Detaylı lisans bilgileri için lütfen proje dizinindeki **COPYING** dosyasına bakınız.

---

## İletişim

Her türlü soru, öneri veya katkı için Codeberg üzerindeki proje sayfası üzerinden iletişime geçebilirsiniz.

